declare function _default(state: {
    sensorData: {
        policy_no: string;
        date_time: string;
        reg_no: string;
        activity_type: string;
        activity_id: string;
        imageDetails: {
            fileName: string;
            timestamp: number;
            pose: string;
            attemptCount: number;
            latitude: string;
            longitude: string;
            success: boolean;
            errorMsg: string;
        }[];
        sensor_data: {
            millis: number;
            compass: {
                degree: number;
                timestamp: number;
            }[];
            pedometer: {
                step: number;
                timestamp: number;
            }[];
            gyroscope: {
                x: number;
                y: number;
                z: number;
                timestamp: number;
            }[];
            accelerometers: {
                x: number;
                y: number;
                z: number;
                timestamp: number;
            }[];
            magnetometers: {
                x: number;
                y: number;
                z: number;
                timestamp: number;
            }[];
        }[];
    };
} | undefined, action: any): {
    sensorData: any;
};
export default _default;
